Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QCheckTableItem Class Reference
[table module]

The QCheckTableItem class provides checkboxes in QTables. More...

`#include <qtable.h>`

Inherits QTableItem.

List of all member functions.

## Public Members

- QCheckTableItem ( QTable * table, const QString & txt )
- virtual void setChecked ( bool b )
- bool isChecked () const
- virtual int rtti () const

## Detailed Description

The QCheckTableItem class provides checkboxes in QTables.

A QCheckTableItem is a table item which looks and behaves like a checkbox. The advantage of using QCheckTableItems rather than real checkboxes is that a QCheckTableItem uses far less resources than a real checkbox would in a QTable. When the cell has the focus it displays a real checkbox which the user can interact with. When the cell does not have the focus the cell looks like a checkbox. Pixmaps may not be used in QCheckTableItems.

QCheckTableItem items have the edit type WhenCurrent (see EditType).

To change the checkbox's label use setText(). The checkbox can be checked and unchecked with setChecked() and its state retrieved using isChecked().

To populate a table cell with a QCheckTableItem use QTable::setItem().

QCheckTableItems can be distinguished from QTableItems and QComboTableItems using their Run Time Type Identification (rtti) value.

See also rtti(), EditType, QComboTableItem, QTableItem, QCheckBox, and Advanced Widgets.

## Member Function Documentation

### QCheckTableItem::QCheckTableItem ( QTable * table, const QString & txt )

Creates a QCheckTableItem with an EditType of WhenCurrent as a child of table. The checkbox is initially unchecked and its label is set to the string txt.

### bool QCheckTableItem::isChecked () const

Returns TRUE if the checkbox table item is checked; otherwise returns FALSE.

See also setChecked().

### int QCheckTableItem::rtti () const`[virtual]`

Returns 2.

Make your derived classes return their own values for rtti()to distinguish between different table item subclasses. You should use values greater than 1000, preferably a large random number, to allow for extensions to this class.

See also QTableItem::rtti().

Reimplemented from QTableItem.

### void QCheckTableItem::setChecked ( bool b )`[virtual]`

If b is TRUE the checkbox is checked; if b is FALSE the checkbox is unchecked.

See also isChecked().

This file is part of the Qt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.